Skip to main content
POST
/
generation
/
pixverse
/
v5.6
PixVerse V5.6
curl --request POST \
  --url https://open.skills.video/api/v1/generation/pixverse/v5.6 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>"
}
'
{
  "id": "gen_123",
  "status": "IN_QUEUE",
  "input": {
    "prompt": "a cat walking through neon rain",
    "duration": 5,
    "aspect_ratio": "16:9",
    "n": 1
  },
  "usage": {
    "total": 20,
    "subscription": 20,
    "permanent": 0
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.skills.video/llms.txt

Use this file to discover all available pages before exploring further.

PixVerse V5.6 video generation model with text-to-video and image-to-video.

Authorizations

Authorization
string
header
required

API Key for API endpoints

Body

prompt
string
required
first_frame_url
string<uri>
end_frame_url
string<uri>
aspect_ratio
enum<string>
default:16:9
Available options:
16:9,
4:3,
1:1,
3:4,
9:16
resolution
enum<string>
default:720p
Available options:
540p,
720p,
1080p
duration
default:5
negative_prompt
string
default:""
style
enum<string>
Available options:
anime,
3d_animation,
clay,
comic,
cyberpunk
generate_audio
boolean
default:false
thinking_type
enum<string>
default:auto
Available options:
enabled,
disabled,
auto
n
integer
default:1

Number of results to generate (1-4)

Required range: 1 <= x <= 4

Response

Generation submission accepted

id
string
required

Generation id.

status
enum<string>
required

Queue status

Available options:
IN_QUEUE,
IN_PROGRESS,
COMPLETED,
FAILED,
CANCELED
input
object
required
usage
object
required

Credit usage breakdown for the request